# Chef's Dream Changelog

## v2.3.2: QoL and Bug Fixes

Date

- Fixed BUG 11, BUG 12, and BUG 13

- Added commands to make it easier to destroy buggy cooking stations or to uninstall the pack
    - Added the command `/function chefsdream:destroy_stations` to destroy all cooking stations in a 10 block radius from where it is executed
    - Added the command `/function chefsdream:destroy_all_stations` to destroy all cooking stations in loaded chunks. Note that this cannot delete cooking stations in unloaded chunks

- Heavily buffed fruits and vegetable drop rates
    - Fruits now drop with a 5% chance. With a Fortune III tool, this is buffed to 12.5% (1/8).
    - The normal vegetable drop rates did not change, but they now heavily increase when a Fortune tool is used on grasses/ferns. With a Fortune III tool, the fern vegetables each has a 25% chance of dropping, and the grass vegetables each has a 10% chance of dropping.

- Added five more fortunes to the fortune cookie

## v2.3.1: Urgent Bug Fix

8/25/2024

- Fixed BUG 10

## v2.3: The Drinks Update

8/23/2024

- Added mangoes, which drop from dark oak leaves
    - Dark oak leaves will now no longer drop apples when this datapack is enabled

- Added boba, which can be acquired by grinding saplings

- Added 26 new drinks
    - Added Mango Smoothie
    - Added Tea, Sweet Tea, and Citron Tea
    - Added 7 different types of boba tea
    - Added 2 different types of lemonade
    - Added 3 different types of flavored milk
    - Added 4 different types of milkshakes
    - Added 2 different types of lassi
    - Added Beer and Wine, which are made from barrels
    - Added Root Beer
    - Added Sikhye

- Added more ice cream
    - Added Mango Ice Cream, Tropical Ice Cream, and Berry Glazed Ice Cream
    - Added the Waffle Cone, which can be acquired by cutting a Waffle on a preparation board with a sword
    - Added the ability to make ice cream cones by right-clicking on the ice cream machine with a waffle cone rather than a bowl

- Added Mango Cod Roll, Mango Habanero Taco, Meat Stuffed Taco, and Mango Sticky Rice

- Added more advancements

- The give commands are fixed so that they give all the foods they are supposed to

- The Sweet Berry Banana Smoothie now gives Haste I and Absorption I instead of Speed II
    - This does not affect Sweet Berry Banana Smoothies that were created before this update

- Burnt Food can now be eaten and gives the Wither effect
    - This does not affect Burnt Food that was created before this update

## v2.2: The Taco Update

8/6/2024

- Added the tortilla, which is acquired by putting dough on a fryer

- Added the ability to make tacos on a preparation board
    - To make a taco, put a tortilla on a preparation board, put up to five ingredients on the tortilla, then left click on it with an empty hand

- Added seven different types of tacos

- Added ten new fortunes to the fortune cookie

- Added three new advancements

- Fixed BUG 5

## v2.1: The Asian Foods Update

6/22/2024

- Added 50 new foods, most of them being Asian foods

    - Added beans, which are dropped from grass

    - Added tofu, soy sauce, and gochujang, which are made from barrels

    - Added fried rice, dumplings, and steamed tofu

    - Added 11 Korean foods, 10 Chinese foods, 7 Japanese foods, 10 Indian foods, 5 Vietnamese foods, and 3 Thai foods

    - One of the Chinese foods, the Fortune Cookie, will give a random fortune every time it is eaten. There are currently 10 fortunes

- Added a new advancement for eating a fortune cookie

- The message on `/reload` now displays the correct version

- Plates no longer become dirty.

## v2.0

6/13/2024

- Now compatible with 1.21

- Made a legacy version for 1.20.5 and 1.20.6

- Fixed a misspelling in the in-game cookbook

- Doubled drop rates for onions and lettuce from grasses

- Increased drop rates for lemons, bananas, and oranges

- Tall grasses and tall ferns now drop custom vegetables

- Added chorus fruit ice cream

## v1.4.1

6/1/2024

- Fixed BUG 3 and BUG 4

- Added two new advancements

## v1.4: The Breakfast and Burgers Update

5/25/2024

- Added 34 new foods and 2 new drinks!

- Added the pancake, chocolate pancake, sweet berry pancake, hash brown, waffle, and French toast

- Added bacon, which can be obtained by putting porkchop on a preparation board and right-clicking it with salt

- Added six different types of omelette

- Added the boiled egg, scrambled egg, and bacon and eggs

- Added the ability to cook bacon and sausage on the fryer or the grill

- Added five flavors of yogurt, which can all be made with a barrel

- Added eight different types of burgers
    - The Hamburger and the Cheeseburger have been renamed to the Deluxe Hamburger and the Deluxe Cheeseburger, respectively

- Added the BLT Sandwich and the Kimchi Cheese Sandwich

- Added the bacon pizza

- Added the mocha and cappuccino

- Added the orange donut

- Completely revamped the in-game cookbooks; they now include recipes for all custom foods in the game and have tables of contents

- Added three new advancements

## v1.3.1

5/22/2024

- Fixed BUG 1 and BUG 2

## v1.3: The Sandwich Update

5/18/2024

- Added the ability to make sandwiches on a preparation board
    - To make sandwiches, right-click on a preparation board with a bread slice and up to seven ingredients then right-click with another bread slice
    - Sandwich recipes are not shown in an in-game cookbook, but can be found on the [wiki page](https://github.com/lemoncodes237/chefs-dream/wiki/Sandwiches)

- Added the bread slice, which can be made by cutting bread on a preparation board
    - Each bread grants five bread slices

- Added seven different sandwiches

- Moved Hamburger and Cheeseburger recipes from the Fryer to the Sandwich system

- Changed the recipes of Philly Roll and Spicy Salmon Roll to require sea pickles instead of lettuce

- Technical Change: Moved ketchup and mustard to the bottom of ingredient check list

## v1.2: The Sushi Update

5/11/2024

- Added the ability to make sushi on a preparation board
    - To make sushi, right-click on a preparation board with a dried kelp, steamed rice (which is made by boiling rice in a cooking pot), and at most three ingredients, then left-click with an empty hand
    - Sushi recipes are not shown in an in-game cookbook, but can be found on the [wiki page](https://github.com/lemoncodes237/chefs-dream/wiki/Sushi)

- Added ten different sushi rolls

- Added cream cheese, which can be made by adding milk and sugar to a barrel

- Added cream cheese recipe to the Ingredients Cookbook

- Added three new advancements

- Changed the texture of paprika

## v1.1: The Ice Cream Update

5/7/2024

- Added the Ice Cream Machine, which is created from daylight detectors.

- Added ten different flavors of ice cream and a default ice cream for unknown recipes.

- Added four new advancements

## v1.0: Official Release

5/4/2024

Official release!